library ieee;
use ieee.std_logic_1164.all;

entity tbalu is
end tbalu;

architecture tbbalu of tbalu is
component alu is 
	port ( a,b: in integer;
	op: in integer range 0 to 3;
	clk,en: in std_logic;
	R: out integer );
end component;

signal a,b,r: integer;
signal op: integer range 0 to 3;
signal clk,en: std_logic;

begin
	dut: alu port map (a,b,op,clk,en,r);
	
process
begin
	clk <= '0';
	wait for 5 ns;
	clk <= '1';
	wait for 5 ns;
end process;

a<= 5;
b<= 3;
op <= 0 after 0 ns, 1 after 25 ns,
2 after 55 ns, 3 after 75 ns;

en <= '0' after 0 ns, '1' after 15 ns;

end tbbalu;
