library ieee;
use ieee.std_logic_1164.all;

entity tb_contatore is
end tb_contatore;

architecture tbbconta of tb_contatore is
component contatore is
	 port(
		 start : in STD_LOGIC;
		 clk : in STD_LOGIC;
		 v0 : in INTEGER range 0 to 15;
		 conta : out INTEGER range 0 to 15
	     );
end component;

signal start,clk: std_logic;
signal v0,conta: INTEGER range 0 to 15;

begin
	dut: contatore port map (start,clk,v0,conta);
	
 start <= '0' after 0 ns, '1' after 5 ns,
 		  '0' after 11 ns;
 
 v0 <= 5 after 0 ns;
 
 clk <= '0' after 0 ns, '1' after 5 ns,
 '0' after 10 ns, '1' after 15 ns,
 '0' after 20 ns, '1' after 25 ns,
 '0' after 30 ns, '1' after 35 ns,
 '0' after 40 ns, '1' after 45 ns;
end  tbbconta;

 