library ieee;
use ieee.std_logic_1164.all;

entity tb_sommatore is
end tb_sommatore;

architecture tbbsommatore of tb_sommatore is
component sommatore is
	generic (dim: integer range 1 to 31:= 15);
	port ( a, b: in std_logic_vector(dim-1 downto 0);
	       cin: in std_logic;
		   r: out std_logic_vector(dim-1 downto 0);
		   cout: out std_logic );
end component;

signal a,b,r: std_logic_vector(7 downto 0);
signal cin,cout: std_logic;

begin
	dut: sommatore  generic map (8) 
	port map (a,b,cin,r,cout); 
	
	a<= "00001010";
	b<= "00010100";
	cin <= '0' after 0 ns, '1' after 20 ns;
end tbbsommatore;

