library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_signed.all;
entity sommatore1 is
	generic (dim : integer range 0 to 32);
	port (a,b: in std_logic_vector(dim-1 downto 0);
	      cin: in std_logic;
		  r: out std_logic_vector(dim-1 downto 0);
		  cout : out std_logic);
end sommatore1;

architecture beh1 of sommatore1 is
signal T: std_logic_vector(dim downto 0);
begin
  t<= a+b+cin;
  
  r<= t(dim-1 downto 0);
  cout<= t(dim);
end beh1;
