library ieee;
use ieee.std_logic_1164.all;

entity sommatore_generate  is
	port ( a, b: in std_logic_vector(7 downto 0);
	       cin: in std_logic;
		   r: out std_logic_vector(7 downto 0);
		   cout: out std_logic );
end sommatore_generate;

architecture struct_generate of sommatore_generate is
component adder1 is
	port ( a,b,cin: in std_logic;
	cout,r: out std_logic);
end component;
 signal c: std_logic_vector( 8 downto 0);
begin		

GA: for i in 0 to 7 generate
     GA0: if i=0 generate
     		   a0: adder1 port map (a(0),b(0),cin,c(1),r(0));
    		 end generate GA0;
    
     GAI: if i>0 generate
    		 ai: adder1 port map (a(i),b(i),c(i),c(i+1), r(i));
	 end generate GAI;								 
	 
end generate GA;

cout <= c(8);

end struct_generate;